KDE 4.7 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.marble import *`

## Detailed Description

## Class Index

A | GeoDataLineStyle (Marble) | MarbleModel (Marble)
AbstractDataPlugin (Marble) | GeoDataLod (Marble) | MarbleNavigator (Marble)
AbstractDataPluginItem (Marble) | GeoDataLookAt (Marble) | MarbleRunnerManager (Marble)
AbstractDataPluginModel (Marble) | GeoDataMultiGeometry (Marble) | MarbleWidget (Marble)
AbstractFloatItem (Marble) | GeoDataObject (Marble) | N
AbstractMarbleGraphicsLayout (Marble) | GeoDataOuterBoundary (Marble) | NavigationWidget (Marble)
AbstractProjection (Marble) | GeoDataPlacemark (Marble) | P
AbstractWorkerThread (Marble) | GeoDataPoint (Marble) | Planet (Marble)
AlternativeRoutesModel (Marble) | GeoDataPolygon (Marble) | PluginAboutDialog (Marble)
B | GeoDataPolyStyle (Marble) | PluginInterface (Marble)
BookmarkManager (Marble) | GeoDataRegion (Marble) | PositionTracking (Marble)
C | GeoDataStyle (Marble) | Q
ClipPainter (Marble) | GeoDataStyleMap (Marble) | QtMarbleConfigDialog (Marble)
CurrentLocationWidget (Marble) | GeoDataStyleSelector (Marble) | Quaternion (Marble)
D | GeoDocument (Marble) | Quaternion (Marble)
DownloadRegionDialog (Marble) | GeoGraphicsItem (Marble) | R
E | GeoGraphicsScene (Marble) | RenderPlugin (Marble)
ElevationModel (Marble) | GeoNode (Marble) | RenderPluginInterface (Marble)
F | GeoPainter (Marble) | Route (Marble)
FileViewWidget (Marble) | GeoSceneLayer (Marble) | RouteRequest (Marble)
FrameGraphicsItem (Marble) | L | RouteSegment (Marble)
G | LabelGraphicsItem (Marble) | RoutingModel (Marble)
GeoDataAbstractView (Marble) | LatLonBoxWidget (Marble) | RoutingProfile (Marble)
GeoDataAccuracy (Marble) | LatLonEdit (Marble) | RunnerPlugin (Marble)
GeoDataColorStyle (Marble) | LayerInterface (Marble) | S
GeoDataContainer (Marble) | LegendWidget (Marble) | ScreenGraphicsItem (Marble)
GeoDataCoordinates (Marble) | M | Serializable
GeoDataDocument (Marble) | Maneuver (Marble) | SunLocator (Marble)
GeoDataFeature (Marble) | MapThemeManager (Marble) | T
GeoDataFolder (Marble) | MapViewWidget (Marble) | TileCoordsPyramid (Marble)
GeoDataGeometry (Marble) | MapWizard (Marble) | TileCreator (Marble)
GeoDataHotSpot (Marble) | MarbleAboutDialog (Marble) | TileCreatorSource (Marble)
GeoDataIconStyle (Marble) | MarbleAbstractRunner (Marble) | TileLevelRangeWidget (Marble)
GeoDataInnerBoundary (Marble) | MarbleControlBox (Marble) | TinyWebBrowser (Marble)
GeoDataLabelStyle (Marble) | MarbleDirs (Marble) | V
GeoDataLatLonAltBox (Marble) | MarbleGlobal (Marble) | ViewportParams (Marble)
GeoDataLatLonBox (Marble) | MarbleGraphicsGridLayout (Marble) | W
GeoDataLinearRing (Marble) | MarbleGraphicsItem (Marble) | WidgetGraphicsItem (Marble)
GeoDataLineString (Marble) | MarbleMap (Marble) |

## Enumerations

EnumFeatureId | { InvalidFeatureId, GeoDataDocumentId, GeoDataFolderId, GeoDataPlacemarkId, GeoDataNetworkLinkId, GeoDataScreenOverlayId, GeoDataGroundOverlayId }
EnumGeometryId | { InvalidGeometryId, GeoDataPointId, GeoDataLineStringId, GeoDataLinearRingId, GeoDataPolygonId, GeoDataMultiGeometryId, GeoDataModelId, GeoDataTrackId }

## Enumeration Documentation

EnumFeatureId

Enumerator:

  InvalidFeatureId = -1 |
  GeoDataDocumentId = 1 |
  GeoDataFolderId |
  GeoDataPlacemarkId |
  GeoDataNetworkLinkId |
  GeoDataScreenOverlayId |
  GeoDataGroundOverlayId |

EnumGeometryId

Enumerator:

  InvalidGeometryId = -1 |
  GeoDataPointId = 1 |
  GeoDataLineStringId |
  GeoDataLinearRingId |
  GeoDataPolygonId |
  GeoDataMultiGeometryId |
  GeoDataModelId |
  GeoDataTrackId |